#RUN LAB OR ONLINE FIRST

tasknum <- 1:num_tasks; #task number

######
######
#Fatigue regressions

reg_f_dots <- as.list(mat.or.vec(n_subj,1)); #no het correction
reg_f_sum_dots <- as.list(mat.or.vec(n_subj,1));
lpm_f_weights_dots <-  mat.or.vec(n_subj,num_tasks);
lpm_f_reg_dots <- as.list(mat.or.vec(n_subj,1)); #het correction
lpm_f_reg_sum_dots <- as.list(mat.or.vec(n_subj,1));
for(i in 1:n_subj) {
	reg_f_dots[[i]] <- lm(correct_dots[i,] ~ inc_dots[i,] + tasknum);
	reg_f_sum_dots[[i]] <- summary(reg_f_dots[[i]]);
	lpm_f_weights_dots[i,] <- apply(as.matrix(fitted(reg_f_dots[[i]])),1,lpm_weights);
	lpm_f_reg_dots[[i]] <- lm(correct_dots[i,] ~ inc_dots[i,] + tasknum, weights=lpm_f_weights_dots[i,]);
	lpm_f_reg_sum_dots[[i]] <- summary(lpm_f_reg_dots[[i]]);
}