#logistic discontinuity test

#run binary regression first

mle_logistic <- as.list(mat.or.vec(n_subj,1));

for(i in 1:n_subj) {
	print(i);
	ll_logistic <- function(a,b,c,d) {
		log_likelihood <- 0;

		for(j in 1:num_tasks) {
			log_likelihood <- log_likelihood+log((a/(1+exp(-b*(inc_dots[i,j]-c)))+d))*(correct_dots[i,j])+log((1-a/(1+exp(-b*(inc_dots[i,j]-c)))-d))*(1-correct_dots[i,j]);
		}

		return(-log_likelihood);
	}

	mle_logistic[[i]] <- mle2(ll_logistic,method="SANN",start=list(a=0.8,b=0.01,c=50,d=0.3));
}

ll_test_pval <- rep(NA,n_subj);

for(i in 1:n_subj) {
	discts_ll <- logLik(breaks_reg_noslope_opt_dots[[i]]);
	cts_ll <- logLik(mle_logistic[[i]]);
	ll_stat <- -2*(discts_ll-cts_ll);
	ll_test_pval[i] <- pchisq(ll_stat,1,lower.tail=FALSE);
}

well_behaved <- (ll_test_pval <= 0.1)+0;
well_behaved_subj <- intersect(which(well_behaved==1),str_mon_subj);


