#error distance chi square tests

#MUST RUN KS FIRST TO GET error_shannon_dots

error_freqs <- matrix(nrow=n_subj,ncol=4);
dist_chisq_test <- as.list(mat.or.vec(n_subj,1));
dist_chisq_pval <- rep(NA,n_subj);

#change directed distances to undirected distances
for(i in 1:n_subj) {
	error_probs <- error_shannon_dots[i,]/(1-error_shannon_dots[i,5]);
	error_freqs[i,1] <- error_probs[4]+error_probs[6];
	error_freqs[i,2] <- error_probs[3]+error_probs[7];
	error_freqs[i,3] <- error_probs[2]+error_probs[8];
	error_freqs[i,4] <- error_probs[1]+error_probs[9];

	empirical_error_dist <- c(length(which(abs_dist_dots[i,]==1)),
					length(which(abs_dist_dots[i,]==2)),
					length(which(abs_dist_dots[i,]==3)),
					length(which(abs_dist_dots[i,]==4)));

	dist_chisq_test[[i]] <- chisq.test(empirical_error_dist,p=error_freqs[i,]);
	dist_chisq_pval[i] <- dist_chisq_test[[i]]$p.value;
}

percept_dist <- (dist_chisq_pval<=0.05)+0;
percept_dist_subj <- which(percept_dist==1);